<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
      layout:decorate="~{layoutadmin}">
<head>
  <meta charset="UTF-8">
  <title>Komprehensif</title>
</head>
<body>
<div layout:fragment="main">
  <div class="header bg-gradient-primary pb-8 pt-5 pt-md-8">
    <div class="container-fluid">
      <div class="header-body">
        <!-- Card stats -->
        <div class="row">
          <div class="col-xl-12 col-lg-12">
            <div class="card card-stats mb-4 mb-xl-0">
              <div class="card-body">
                <div class="row">
                  <div class="col">
                    <h5 class="card-title text-uppercase text-muted mb-0">List</h5>
                    <span class="h2 font-weight-bold mb-0">Ujian Komprehensif</span>
                  </div>
                  <div class="col-auto">
                    <div class="icon icon-shape bg-gradient-blue text-white rounded-circle shadow">
                      <i class="fas fa-calendar"></i>
                    </div>
                  </div>
                </div>

              </div>
            </div>
          </div>

        </div>
      </div>
    </div>
  </div>

  <div class="container-fluid mt--7">
    <div class="row">
      <div class="col-md-12">
        <div class="card">
          <div class="card-body">
            <div class="row">
              <div class="col-md-12">
                <form method="get">
                  <div class="form-group">
                    <div class="row">
                      <div class="col-md-6">
                        <label>Prodi</label>
                        <select name="prodi" id="prodi" class="form-control">
                          <option th:each="prodi : ${prodi}"
                                  th:selected="(${prodi} == *{selectedProdi})"
                                  th:text="${prodi.namaProdi}"
                                  th:value="${prodi.id}"></option>
                        </select>
                      </div>
                      <div class="col-md-6">
                        <label>Tahun Akademik</label>
                        <select name="tahunAkademik" id="tahun" class="form-control">
                          <option value="" selected disabled>Pilih</option>
                          <option th:each="tahun : ${tahunAkademik    }"
                                  th:selected="(${tahun} == *{selectedTahun})"
                                  th:text="${tahun.namaTahunAkademik}"
                                  th:value="${tahun.id}"></option>
                        </select>
                      </div>
                    </div>
                  </div>
                  <div class="row">
                    <div class="col-md-12 text-center">
                      <button type="submit" class="btn btn-info">Search</button>
                    </div>
                  </div>
                </form>
              </div>

              <div class="col-md-12" style="margin-top: 20px;"
                   th:if="${selectedTahun != null && selectedProdi != null}">
                <div class="row">
                  <div class="col-md-8">
                  </div>
                </div>
                <div class="table-responsive">
                  <table
                          id="table"
                          data-filter-control="true"
                          data-search="true"
                          data-show-refresh="true"
                          data-flat="true"
                          data-pagination="true"
                          data-ajax="ajaxRequestJadwalKompre"
                          data-side-pagination="server">
                  </table>

                  <div class="modal fade bd-example-modal-lg fade" id="modal-detail" role="dialog" data-backdrop="false">
                    <div class="modal-dialog modal-lg" role="document">
                      <div class="modal-content">
                        <div class="modal-header">
                          <h5 class="modal-title">Detail Mahasiswa</h5>
                        </div>
                        <div class="modal-body">
                          <link href="https://maxcdn.bootstrapcdn.com/font-awesome/4.7.0/css/font-awesome.min.css" rel="stylesheet" />

                          <div class="page-content container">
                            <div class="page-header text-blue-d2">
                              <h1 class="page-title text-secondary-d1">
                                <small class="page-info">
                                  <input type="hidden" id="idUjianDetail">
                                  <span id="namaDetail"></span>
                                </small>
                              </h1>
                            </div>

                            <div class="container px-0">
                              <div class="row mt-4">
                                <div class="col-12 col-lg-10 offset-lg-1">

                                  <hr class="row brc-default-l1 mx-n1 mb-4" />

                                  <div class="row">
                                    <div class="col-sm-6">
                                      <div class="text-grey-m2">
                                        <div class="my-1">
                                          <span class="text-sm text-grey-m2 align-middle">Tanggal     :</span>
                                          <span class="text-600 text-110 text-blue align-middle" id="spanTanggal"></span>
                                        </div>
                                        <div class="my-1">
                                          <span class="text-sm text-grey-m2 align-middle">Ruangan     :</span>
                                          <span class="text-600 text-110 text-blue align-middle" id="spanRuangan"></span>
                                        </div>
                                      </div>
                                    </div>
                                  </div>

                                  <div class="mt-4">
                                    <div class="row border-b-2 brc-default-l2"></div>

                                    <div class="table-responsive">
                                      <b>Riwayat Pendaftaran</b><br>
                                      <div class="table-responsive">
                                        <table
                                                id="table-ujian"
                                                data-flat="true"
                                                data-side-pagination="client">
                                        </table>
                                      </div>
                                    </div>


                                    <div class="row mt-3">
                                      <div class="col-12 col-sm-7 text-grey-d2 text-95 mt-2 mt-lg-0">

                                      </div>
                                    </div>

                                    <hr />
                                  </div>
                                </div>
                              </div>
                            </div>
                          </div>
                        </div>
                        <div class="modal-footer">
                          <button type="button" class="btn btn-secondary" onclick="closeModalDetail()">tutup</button>
                        </div>
                      </div>
                    </div>
                  </div>

                  <div class="modal fade" id="approveAdmin" data-backdrop="false">
                    <div class="modal-dialog" role="document">
                      <form>
                        <div class="modal-content">
                          <div class="modal-header">
                            <h5 class="modal-title">Approve</h5>
                          </div>
                          <div class="modal-body">
                            <div class="form-group">
                              <label>Nim</label>
                              <input type="text" id="nimApprove" disabled class="form-control">
                              <input type="hidden" id="idUjianApprove" name="id">
                              <input type="hidden" id="mahasiswaApprove" name="mahasiswa">
                            </div>
                            <div class="form-group">
                              <label>Nama</label>
                              <input type="text" id="namaApprove" disabled class="form-control">
                            </div>
                            <div class="form-group">
                              <label>Jenis Ujian</label>
                              <input type="text" readonly class="form-control" value="Ujian Komprehensif">
                            </div>
                            <div class="form-group">
                              <label>Komentar</label>
                              <textarea name="komentarKps" id="komentarApprove"
                                        class="form-control"></textarea>
                            </div>
                          </div>
                          <div class="modal-footer">
                            <button type="button" class="btn btn-secondary" onclick="closeModalApprove()">Tutup
                            </button>
                            <button type="button" id="btnApprove" onclick="approveUjian()" class="btn btn-primary">Approve
                            </button>
                          </div>
                        </div>
                      </form>
                    </div>
                  </div>

                  <div class="modal fade" id="RejectedAdmin" data-backdrop="false">
                    <div class="modal-dialog" role="document">
                      <form>
                        <div class="modal-content">
                          <div class="modal-header">
                            <h5 class="modal-title">Rejected</h5>
                          </div>
                          <div class="modal-body">
                            <div class="form-group">
                              <label>Nim</label>
                              <input type="text" id="nimReject" disabled class="form-control">
                              <input type="hidden" id="idUjianReject" name="id">
                              <input type="hidden" id="mahasiswaReject" name="mahasiswa">
                            </div>
                            <div class="form-group">
                              <label>Nama</label>
                              <input type="text" id="namaReject" disabled class="form-control">
                            </div>
                            <div class="form-group">
                              <label>Jenis Ujian</label>
                              <input type="text" readonly class="form-control" value="Ujian Komprehensif">
                            </div>
                            <div class="form-group">
                              <label>Komentar</label>
                              <textarea name="komentarKps" id="komentarReject"
                                        class="form-control"></textarea>
                            </div>
                          </div>
                          <div class="modal-footer">
                            <button type="button" class="btn btn-secondary" onclick="closeModalReject()">Tutup
                            </button>
                            <button type="button" class="btn btn-danger" onclick="rejectUjian()">
                              Tolak
                            </button>
                          </div>
                        </div>
                      </form>
                    </div>
                  </div>

                  <div class="modal fade" id="penjadwalan" role="dialog" data-backdrop="false">
                    <form>
                      <div class="modal-dialog" role="document">
                        <div class="modal-content">
                          <div class="modal-header">
                            <h5 class="modal-title">Penjadwalan</h5>
                          </div>
                          <div class="modal-body">
                            <div class="form-group">
                              <label>Nim</label>
                              <input type="text" id="nim" disabled class="form-control">
                              <input type="hidden" id="idUjian" name="id">
                              <input type="hidden" id="mahasiswa" name="mahasiswa">
                            </div>
                            <div class="form-group">
                              <label>Nama</label>
                              <input type="text" id="nama" disabled class="form-control">
                            </div>
                            <div class="form-group">
                              <label>Jenis Ujian</label>
                              <input type="text" readonly class="form-control" value="Ujian Komprehensif">
                            </div>
                            <div class="form-group">
                              <label>Tanggal Ujian</label>
                              <input type="date" id="tanggalUjian" name="tanggalUjian"
                                     class="form-control"/>
                            </div>
                            <div class="form-group">
                              <label>Ruangan</label><br>
                              <select class="form-control js-example-placeholder-single"
                                      style="width: 100%!important;"
                                      name="ruangan"
                                      id="select2-ruangan">
                                <option value=""></option>
                                <option th:each="data: ${ruangan}"
                                        th:text="${data.namaRuangan + '  -  ' + data.gedung.namaGedung}"
                                        th:value="${data.id}">sdasd
                                </option>
                              </select>
                            </div>
                            <div class="form-group">
                              <label>Penguji</label>
                              <input id="penguji" type="text" name="penguji"
                                     class="form-control"/>
                            </div>
                          </div>
                          <div class="modal-footer">
                            <button type="button" onclick="closeModalPenjadwalan()" class="btn btn-secondary">Tutup
                            </button>
                            <button type="button" id="btnJadwal" onclick="simpanJadwal()" class="btn btn-primary">
                              Simpan
                            </button>
                          </div>
                        </div>
                      </div>
                    </form>
                  </div>
                  <div class="modal fade" id="penilaian" role="dialog" data-backdrop="false">
                    <form>
                      <div class="modal-dialog" role="document">
                        <div class="modal-content">
                          <div class="modal-header">
                            <h5 class="modal-title">Penilaian</h5>
                          </div>
                          <div class="modal-body">
                            <div class="form-group">
                              <label>Nim</label>
                              <input type="text" id="nimPenilaian" disabled class="form-control">
                              <input type="hidden" id="idUjianPenilaian" name="id">
                              <input type="hidden" id="mahasiswaPenilaian" name="mahasiswa">
                            </div>
                            <div class="form-group">
                              <label>Nama</label>
                              <input type="text" id="namaPenilaian" disabled class="form-control">
                            </div>
                            <div class="form-group">
                              <label>Jenis Ujian</label>
                              <input type="text" readonly class="form-control" value="Ujian Tahfidz">
                            </div>
                            <div class="form-group">
                              <label>Status</label>
                              <select name="status" id="status" class="form-control">
                                <option value="LULUS"> Lulus</option>
                                <option value="TIDAK_LULUS">Tidak Lulus</option>
                              </select>
                            </div>
                          </div>
                          <div class="modal-footer">
                            <button type="button" onclick="closeModalPenilaian()" class="btn btn-secondary">Tutup
                            </button>
                            <button type="button" id="btnPenilaian" onclick="simpanPenilaian()" class="btn btn-primary">
                              Simpan
                            </button>
                          </div>
                        </div>
                      </div>
                    </form>
                  </div>
                </div>
              </div>

            </div>
          </div>
        </div>

      </div>
    </div>
  </div>
</div>
</body>
</html>
<link href="https://unpkg.com/bootstrap-table@1.18.3/dist/bootstrap-table.min.css" rel="stylesheet">
<script src="//cdn.jsdelivr.net/npm/sweetalert2@11"></script>
<script src="https://unpkg.com/bootstrap-table@1.18.3/dist/bootstrap-table.min.js"></script>
<script src="https://unpkg.com/bootstrap-table@1.18.3/dist/extensions/filter-control/bootstrap-table-filter-control.min.js"></script>
<script src="https://unpkg.com/bootstrap-table@1.18.3/dist/extensions/auto-refresh/bootstrap-table-auto-refresh.min.js"></script>
<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/izitoast/1.4.0/css/iziToast.min.css"
      integrity="sha512-O03ntXoVqaGUTAeAmvQ2YSzkCvclZEcPQu1eqloPaHfJ5RuNGiS4l+3duaidD801P50J28EHyonCV06CUlTSag=="
      crossorigin="anonymous" referrerpolicy="no-referrer"/>
<script src="https://cdnjs.cloudflare.com/ajax/libs/izitoast/1.4.0/js/iziToast.min.js"
        integrity="sha512-Zq9o+E00xhhR/7vJ49mxFNJ0KQw1E1TMWkPTxrWcnpfEFDEXgUiwJHIKit93EW/XxE31HSI5GEOW06G6BF1AtA=="
        crossorigin="anonymous" referrerpolicy="no-referrer"></script>
<script>

  iziToast.settings({
    timeout: 3000, // default timeout
    resetOnHover: true,
    // icon: '', // icon class
    transitionIn: 'flipInX',
    transitionOut: 'flipOutX',
    position: 'topRight', // bottomRight, bottomLeft, topRight, topLeft, topCenter, bottomCenter, center

  });

  var $tableDetailMahasiswa = $('#table-ujian')
  var $tableUjian = $('#table')

  $(function() {
    $tableUjian.bootstrapTable({
      columns: [{
        field: 'nim',
        title : 'Mahasiswa',
        align: 'center',
        valign: 'middle',
        formatter: mahasiswaFormat
      }, {
        title: 'formulir',
        field: 'Formulir',
        align: 'center',
        valign: 'middle',
        formatter: formulirFormat
      }, {
        title: 'Ujian Ke',
        field: 'ujianKe',
        align: 'center',
        valign: 'middle'
      },{
        title: 'Status',
        field: 'status',
        align: 'center',
        valign: 'middle',
        formatter: StatusFormat
      },{
        title: 'Aksi',
        field: 'status',
        align: 'center',
        valign: 'middle',
        formatter: aksiFormat
      }]
    })
  })

  $(function() {
    $tableDetailMahasiswa.bootstrapTable({
      columns: [{
        title: 'Tanggal Pengajuan',
        field: 'tanggal',
        align: 'center',
        valign: 'middle'
      },{
        title: 'Status',
        field: 'status',
        align: 'center',
        valign: 'middle',
        formatter: StatusFormat
      }]
    })
  })

  function ajaxRequestJadwalKompre(params) {
    var url = '/get-list-kompre/' + $('#tahun').val() + '?prodi=' + $('#prodi').val();
    $.get(url + '&' + $.param(params.data)).then(function (res) {
      params.success(res)
    })
  }

  function StatusFormat(value, row, index) {
    if (row.status == 'WAITING'){
      return [
        '<div class="badge badge-warning"> Waiting </div>'
      ].join('')
    }
    if (row.status == 'REJECTED'){
      return [
        '<div class="badge badge-danger">  Rejected </div>'
      ].join('')
    }
    if (row.status == 'APPROVED'){
      if (row.statusUjian == 'NOT_YET_SCHEDULED'){
        return [
          '<div class="badge badge-warning">  Belum Dijadwalkan </div>'
        ].join('')
      }

      if (row.statusUjian == 'SCHEDULED'){
        return [
          '<div class="badge badge-warning">  Dijadwalkan </div>'
        ].join('')
      }

      if (row.statusUjian == 'TIDAK_LULUS'){
        return [
          '<div class="badge badge-danger">  Tidak Lulus </div>'
        ].join('')
      }

      if (row.statusUjian == 'LULUS'){
        return [
          '<div class="badge badge-success">  Lulus </div>'
        ].join('')
      }

    }

  }


  function mahasiswaFormat(value, row, index) {
    return [
      '<button class="btn btn-sm btn-info" id="' + row.id + '" onclick="openDetailTahfidz(this.id)">' + row.nim + ' - ' + row.nama + '</button>'
    ].join('')
  }

  function mahasiswaFormatText(value, row, index) {
    return [
      row.nim + ' - ' + row.nama
    ].join('')
  }

  function aksiFormat(value, row, index) {
    if (row.status == 'WAITING'){
      return [
        '<button class="btn btn-sm btn-danger" id="' + row.id + '" onclick="openReject(this.id)" > Tolak </button>',
        '<button class="btn btn-sm btn-primary" id="' + row.id + '" onclick="openApprove(this.id)" > Terima </button>',
      ].join('')
    }

    if(row.status == 'APPROVED') {
      if (row.statusUjian == 'NOT_YET_SCHEDULED'){
        return [
          '<button class="btn btn-sm btn-info" id="' + row.id + '" onclick="openPenjadwalan(this.id)" > Penjadwalan </button>',
        ].join('')
      }

      if (row.statusUjian == 'SCHEDULED'){
        return [
          '<button class="btn btn-sm btn-info" id="' + row.id + '" onclick="openPenilaian(this.id)" > Penilaian </button>',
        ].join('')
      }

      if (row.statusUjian == 'TIDAK_LULUS'){
        return [
          '',
        ].join('')
      }

      if (row.statusUjian == 'LULUS'){
        return [
          '',
        ].join('')
      }

    }

  }

  function formulirFormat(value, row, index) {
    return [
      '<a target="_blank" href="/formulir/'+ row.id +'">Lihat Formulir</a>'
    ].join('')
  }

  function openPenjadwalan(id) {
    $('#penjadwalan').modal('show');

    const url = '/get-detail-tahfidz/'+ id;
    $.getJSON(url, function (data) {
      $('#idUjian').val(data.id)
      $('#nama').val(data.mahasiswa.nama)
      $('#nim').val(data.mahasiswa.nim)
    });

    $(".js-example-placeholder-single").select2({
      dropdownParent: $('#penjadwalan' ),
      placeholder: "Pilih Salah Satu",
      allowClear: true
    });

  }

  function openPenilaian(id) {
    $('#penilaian').modal('show');

    const url = '/get-detail-tahfidz/'+ id;
    $.getJSON(url, function (data) {
      $('#idUjianPenilaian').val(data.id)
      $('#namaPenilaian').val(data.mahasiswa.nama)
      $('#nimPenilaian').val(data.mahasiswa.nim)
    });


  }

  function closeModalPenilaian(){
    $('#penilaian').modal('hide');
    $('#idUjianPenilaian').val(null)
    $('#namaPenilaian').val(null)
    $('#status').val(null)
    $('#nimPenilaian').val(null)
  }

  function openReject(id) {
    $('#RejectedAdmin').modal('show');

    const url = '/get-detail-tahfidz/'+ id;
    $.getJSON(url, function (data) {
      $('#idUjianReject').val(data.id)
      $('#namaReject').val(data.mahasiswa.nama)
      $('#nimReject').val(data.mahasiswa.nim)
    });

  }

  function openApprove(id) {
    $('#approveAdmin').modal('show');

    const url = '/get-detail-tahfidz/'+ id;
    $.getJSON(url, function (data) {
      $('#idUjianApprove').val(data.id)
      $('#namaApprove').val(data.mahasiswa.nama)
      $('#nimApprove').val(data.mahasiswa.nim)
    });

  }

  function closeModalPenjadwalan(){
    $('#penjadwalan').modal('hide');
    $('#idUjian').val(null)
    $('#nama').val(null)
    $('#nim').val(null)
    $('#tanggalUjian').val(null)
    $('#select2-ruangan').val(null)
    $('#penguji').val(null)
  }

  function closeModalReject(){
    $('#RejectedAdmin').modal('hide');
    $('#nimReject').val(null);
    $('#namaReject').val(null);
    $('#idUjianReject').val(null);
    $('#mahasiswaReject').val(null);
    $('#komentarReject').val(null);
  }

  function closeModalApprove(){
    $('#approveAdmin').modal('hide');
    $('#nimApprove').val(null);
    $('#namaApprove').val(null);
    $('#idUjianApprove').val(null);
    $('#mahasiswaApprove').val(null);
    $('#komentarApprove').val(null);
  }

  function closeModalDetail(){
    $('#modal-detail').modal('hide');
    $('#idUjianDetail').val(null)
    $('#spanTanggal').text(null)
    $('#spanRuangan').text(null)
  }

  function openDetailTahfidz(id) {
    $('#modal-detail').modal('show');
    $('#idUjianDetail').val(id)

    const url = '/get-detail-tahfidz/'+ id;
    $.getJSON(url, function (data) {
      $('#namaDetail').text(data.mahasiswa.nama)

      if (data.nilai == null){
        $('#spanNilai').text('-')
      }else {
        $('#spanNilai').text(data.nilai)
      }

      if (data.tanggalUjian == null){
        $('#spanTanggal').text('Belum Dijadwalkan')
        $('#spanRuangan').text("Belum Dijadwalkan")
      }else {
        $('#spanTanggal').text(formatTanggal(data.tanggalUjian))
        $('#spanRuangan').text(data.ruangan.namaRuangan)
      }
    });

    $tableDetailMahasiswa.bootstrapTable('refresh', {
      url: '/get-pendaftaran-kompre?ujian=' + id
    });

  }

  function formatTanggal(tgl) {
    var date = new Date(tgl);
    var tahun = date.getFullYear();
    var bulan = date.getMonth();
    var tanggal = date.getDate();
    var hari = date.getDay();
    var jam = date.getHours();
    var menit = date.getMinutes();
    var detik = date.getSeconds();
    switch(hari) {
      case 0: hari = "Minggu"; break;
      case 1: hari = "Senin"; break;
      case 2: hari = "Selasa"; break;
      case 3: hari = "Rabu"; break;
      case 4: hari = "Kamis"; break;
      case 5: hari = "Jum'at"; break;
      case 6: hari = "Sabtu"; break;
    }
    switch(bulan) {
      case 0: bulan = "Januari"; break;
      case 1: bulan = "Februari"; break;
      case 2: bulan = "Maret"; break;
      case 3: bulan = "April"; break;
      case 4: bulan = "Mei"; break;
      case 5: bulan = "Juni"; break;
      case 6: bulan = "Juli"; break;
      case 7: bulan = "Agustus"; break;
      case 8: bulan = "September"; break;
      case 9: bulan = "Oktober"; break;
      case 10: bulan = "November"; break;
      case 11: bulan = "Desember"; break;
    }
    var tampilTanggal =  hari + ", " + tanggal + " " + bulan + " " + tahun;
    return tampilTanggal;
  }

  function rejectUjian() {
    var token = $("input[name='_csrf']").val();
    var id = $('#idUjianReject').val()
    var komentar = $('#komentarReject').val()

    $("#btnReject").removeClass("btn-danger");
    $("#btnReject").addClass("btn-warning");
    $("#btnReject").prop('disabled', true);
    $("#btnReject").html('Loading...');
    $.ajax({
      type: "POST",
      contentType: "application/json",
      headers: {"X-CSRF-TOKEN": token},
      url: "/rejected/" + id + '?komentar=' + komentar + '&jenisUjian=UjianKomprehensif',
      dataType: 'json',
      cache: false,
      timeout: 600000,
      success: function (result) {
        $('#RejectedAdmin').modal('hide');
        iziToast.success({title: 'Data ditolak', message: result.message});
        $tableUjian.bootstrapTable('refresh')
        closeModalReject()
        $("#btnReject").removeClass("btn-warning");
        $("#btnReject").addClass("btn-danger");
        $("#btnReject").prop('disabled', false);
        $("#btnReject").html('Approve');
      },
      error: function (result) {
        console.log("Error")
      }
    });
  }

  function approveUjian() {
    var token = $("input[name='_csrf']").val();
    var id = $('#idUjianApprove').val()
    var komentar = $('#komentarApprove').val()

    $("#btnApprove").removeClass("btn-primary");
    $("#btnApprove").addClass("btn-warning");
    $("#btnApprove").prop('disabled', true);
    $("#btnApprove").html('Loading...');

    $.ajax({
      type: "POST",
      contentType: "application/json",
      headers: {"X-CSRF-TOKEN": token},
      url: "/approve/" + id + '?komentar=' + komentar + '&jenisUjian=UjianKomprehensif',
      dataType: 'json',
      cache: false,
      timeout: 600000,
      success: function (result) {
        $('#approveAdmin').modal('hide');
        iziToast.success({title: 'Data Diapprove', message: result.message});
        $tableUjian.bootstrapTable('refresh')
        closeModalApprove()
        $("#btnApprove").removeClass("btn-warning");
        $("#btnApprove").addClass("btn-primary");
        $("#btnApprove").prop('disabled', false);
        $("#btnApprove").html('Approve');
      },
      error: function (result) {
        console.log("Error")
      }
    });
  }

  function simpanPenilaian() {
    var request = {};
    var token = $("input[name='_csrf']").val();

    request["id"] = $('#idUjianPenilaian').val();
    request["nilai"] = $('#nilai').val();

    $.ajax({
      type: "POST",
      contentType: "application/json",
      headers: {"X-CSRF-TOKEN": token},
      url: "/penilaian/kompre/" + $('#idUjianPenilaian').val() + "?status=" + $('#status').val(),
      data: JSON.stringify(request),
      dataType: 'json',
      cache: false,
      timeout: 600000,
      success: function (result) {
        $('#penilaian').modal('hide');
        iziToast.success({title: 'Data Tersimpan', message: result.message});
        $tableUjian.bootstrapTable('refresh')
        closeModalPenjadwalan()
      },
      error: function (result) {
        console.log("error : ", result)
      }
    });
  }

  function simpanJadwal() {
    var request = {};
    var token = $("input[name='_csrf']").val();

    request["id"] = $('#idUjian').val();
    request["ruangan"] = $('#select2-ruangan').val();
    request["penguji"] = $('#penguji').val();
    request["tanggal"] = $('#tanggalUjian').val();

    $("#btnJadwal").removeClass("btn-primary");
    $("#btnJadwal").addClass("btn-warning");
    $("#btnJadwal").prop('disabled', true);
    $("#btnJadwal").html('Loading...');

    $.ajax({
      type: "POST",
      contentType: "application/json",
      headers: {"X-CSRF-TOKEN": token},
      url: "/penjadwalan-ujian?jenisUjian=UjianKomprehensif",
      data: JSON.stringify(request),
      dataType: 'json',
      cache: false,
      timeout: 600000,
      success: function (result) {
        $('#penjadwalan').modal('hide');
        iziToast.success({title: 'Data Tersimpan', message: result.message});
        $tableUjian.bootstrapTable('refresh')
        closeModalPenjadwalan()
        $("#btnJadwal").removeClass("btn-warning");
        $("#btnJadwal").addClass("btn-primary");
        $("#btnJadwal").prop('disabled', false);
        $("#btnJadwal").html('Approve');
      },
      error: function (result) {
        console.log("error : ", result)
      }
    });
  }

</script>